path: /build/build/Params-ValidationCompiler-dev-perl-0.260.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge dev-perl/Params-ValidationCompiler -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps dev-perl/Params-ValidationCompiler
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/Params-ValidationCompiler && luet-portage
    --dir /pkgdir/Params-ValidationCompiler dev-perl/Params-ValidationCompiler &&
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:c47970aad1bf07870c70321c2007dfb20cc4bcd095cb1ceeb01ef8dbe22dbf45
  package:
    name: Params-ValidationCompiler
    version: 0.260.0
    category: dev-perl
    use_flags:
    - -test
    requires:
    - name: Exception-Class
      version: '>=0'
      category: dev-perl
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Build an optimized subroutine parameter validator once, use it forever
    uri:
    - https://metacpan.org/release/Params-ValidationCompiler
    license: Artistic-2
    buildtimestamp: 2023-08-29 17:50:37.102888214 +0000 UTC m=+175.892647549
    labels:
      DEPEND: virtual/perl-Carp dev-perl/Eval-Closure dev-perl/Exception-Class virtual/perl-Exporter
        >=virtual/perl-Scalar-List-Utils-1.400.0 virtual/perl-ExtUtils-MakeMaker test?
        ( virtual/perl-File-Spec >=dev-perl/Specio-0.140.0 >=virtual/perl-Test-Simple-1.302.15
        dev-perl/Test-Without-Module >=dev-perl/Test2-Suite-0.0.72 dev-perl/Test2-Plugin-NoWarnings
        ) dev-lang/perl:=
      IUSE: test examples
      RDEPEND: virtual/perl-Carp dev-perl/Eval-Closure dev-perl/Exception-Class virtual/perl-Exporter
        >=virtual/perl-Scalar-List-Utils-1.400.0 dev-lang/perl:=
      emerge.packages: dev-perl/Params-ValidationCompiler
      kit: perl-kit
      original.package.name: dev-perl/Params-ValidationCompiler
      original.package.slot: "0"
      original.package.version: 0.260.0
    treedir: /build/packages
  package_dir: /pkgdir/Params-ValidationCompiler
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 5b859301eb8fb2dfa6db3864ae1c31c3dbf56f1287636e026f4d72b605640ee7
compressiontype: zstd
files:
- usr/lib64/perl5/vendor_perl/5.32.0/Params/ValidationCompiler/Compiler.pm
- usr/lib64/perl5/vendor_perl/5.32.0/Params/ValidationCompiler/Exceptions.pm
- usr/lib64/perl5/vendor_perl/5.32.0/Params/ValidationCompiler.pm
- usr/lib64/perl5/vendor_perl/5.32.0/x86_64-linux/auto/Params/ValidationCompiler/.packlist
- usr/share/doc/Params-ValidationCompiler-0.260.0/Changes.bz2
- usr/share/doc/Params-ValidationCompiler-0.260.0/README.md.bz2
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/BUILD_TIME
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/CATEGORY
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/CBUILD
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/CFLAGS
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/CHOST
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/CONTENTS
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/COUNTER
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/CXXFLAGS
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/DEFINED_PHASES
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/DEPEND
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/DESCRIPTION
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/EAPI
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/FEATURES
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/HOMEPAGE
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/INHERITED
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/IUSE
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/IUSE_EFFECTIVE
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/KEYWORDS
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/LDFLAGS
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/LICENSE
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/PF
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/Params-ValidationCompiler-0.260.0.ebuild
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/RDEPEND
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/SIZE
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/SLOT
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/USE
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/environment.bz2
- var/db/pkg/dev-perl/Params-ValidationCompiler-0.260.0/repository
package_cacheimage: ""
runtime:
  name: Params-ValidationCompiler
  version: 0.260.0
  category: dev-perl
  use_flags:
  - -test
  requires:
  - name: Eval-Closure
    version: '>=0'
    category: dev-perl
  - name: Exception-Class
    version: '>=0'
    category: dev-perl
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Build an optimized subroutine parameter validator once, use it forever
  uri:
  - https://metacpan.org/release/Params-ValidationCompiler
  license: Artistic-2
  labels:
    DEPEND: virtual/perl-Carp dev-perl/Eval-Closure dev-perl/Exception-Class virtual/perl-Exporter
      >=virtual/perl-Scalar-List-Utils-1.400.0 virtual/perl-ExtUtils-MakeMaker test?
      ( virtual/perl-File-Spec >=dev-perl/Specio-0.140.0 >=virtual/perl-Test-Simple-1.302.15
      dev-perl/Test-Without-Module >=dev-perl/Test2-Suite-0.0.72 dev-perl/Test2-Plugin-NoWarnings
      ) dev-lang/perl:=
    IUSE: test examples
    RDEPEND: virtual/perl-Carp dev-perl/Eval-Closure dev-perl/Exception-Class virtual/perl-Exporter
      >=virtual/perl-Scalar-List-Utils-1.400.0 dev-lang/perl:=
    emerge.packages: dev-perl/Params-ValidationCompiler
    kit: perl-kit
    original.package.name: dev-perl/Params-ValidationCompiler
    original.package.slot: "0"
    original.package.version: 0.260.0
